<?php
/*****************************************************************************
 * ForgotPasswordForm.php
 * Contains the forget password form template.
 *
 * Kabuki CMS (C) 2013-2016, Aaron van Geffen
 *****************************************************************************/

class ForgotPasswordForm extends SubTemplate
{
	protected function html_content()
	{
		echo '
				<h1>Password reset procedure</h1>';

		foreach ($this->_subtemplates as $template)
			$template->html_main();

		echo '
				<p class="mt-3">Please fill in the email address you used to sign up in the form below. We will send a reset link to your email address.</p>
				<form action="', BASEURL, '/resetpassword/?step=1" method="post">
					<div class="row">
						<label class="col-sm-2 col-form-label" for="field_emailaddress">E-mail address:</label>
						<div class="col-sm-4">
							<input type="text" class="form-control" id="field_emailaddress" name="emailaddress">
						</div>
					</div>
					<div class="row mt-3">
						<div class="offset-sm-2 col-sm-2">
							<button type="submit" class="btn btn-primary">Send mail</button>
						</div>
					</div>
				</form>';
	}
}
